# actions.py

from typing import Any, Text, Dict, List
from rasa_sdk import Action, Tracker
from rasa_sdk.executor import CollectingDispatcher

# Currently, no custom actions are needed because all bot replies are 'utter_' responses.
# You can add custom actions here if your use case expands.

class ActionDummy(Action):
    """A placeholder action, not used in stories."""
    
    def name(self) -> Text:
        return "action_dummy"

    def run(self, dispatcher: CollectingDispatcher,
            tracker: Tracker,
            domain: Dict[Text, Any]) -> List[Dict[Text, Any]]:
        dispatcher.utter_message(text="This is a dummy action for demonstration.")
        return []
